Discover a website's URLs (for page selection)
curl --request POST \
--url https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/crawl/map \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/crawl/map"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/crawl/map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"links": [
{
"url": "<string>",
"title": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Knowledgebases
Discover a website's URLs (for page selection)
Synchronously maps a site (sitemap + link graph) and returns the discovered URLs so the caller can pick which pages to ingest. Does not scrape content.
POST
/
v1
/
projects
/
{projectId}
/
knowledgebases
/
{knowledgebaseId}
/
crawl
/
map
Discover a website's URLs (for page selection)
Authorizations
Developer key created from the dashboard (Settings → Developer Keys)
Path Parameters
The ID of your project
The knowledgebase ID
⌘I
